A project is where all of the user, subscription, plan, device, and SIM information lives.
Type of object is always project.
project Globally unique identifier for the project.
"gigs"List of available delivery methods for consent requests.
Time when the project was created.
"2021-01-21T19:32:13Z"Small-resolution project icon with an aspect ratio of 1:1.
"https://a.gigscdn.net/p/gigs/icon.png"List of supported locales represented as IETF language tags, ordered by preference.
["en-US"]A human-readable name for the project.
"Gigs Connect"Three-letter ISO 4217 currency code representing the currency of the project. Must be a supported currency.
"USD"This property is deprecated and will be removed in the future.
Use the root-level field type instead.
The mode in which the payments operate.
live test Indicates which entity will be registered as the owner of the subscription with the providers. When company is selected the legal address associated with the project will be used for the registration.
user company A publicly available email address for consumer support requests regarding the project.
"support@gigs.com"A publicly available phone number in E.164 format for consumer support requests regarding the project.
"+12345678900"The ISO 3166-1 alpha-2 country code for tax purposes. This will be used as the fallback country for tax calculations when a more specific country cannot be determined (e.g. user address).
"US"Indicates whether this is a live or test project. In live projects, subscriptions are invoiced to your organization, and any payments and taxes are real. The type cannot be changed after project creation.
"live"live test {
"object": "project",
"id": "gigs",
"billing": {
"advanceInvoicingDays": 7,
"invoiceGracePeriodDays": 3,
"invoiceOverdueDays": 3,
"invoiceOverduePeriodDays": 1,
"invoiceOverdueAction": "end",
"currency": "USD",
"restrictBehavior": null,
"restoreBehavior": null,
"paymentBehavior": "manual",
"taxBehavior": "exclusive",
"recoveryFeePercentage": 10,
"recoveryFeeAmount": {
"amount": 150,
"currency": "USD"
}
},
"consent": {
"deliveryMethods": [
"emailLink"
]
},
"createdAt": "2021-01-21T19:32:13.0Z",
"image": "https://a.gigscdn.net/p/gigs/icon.png",
"legal": {
"name": "Gigs Inc.",
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"locales": [
"en-US"
],
"name": "Gigs Connect",
"organization": {
"object": "organization",
"id": "org_0SNlurA04kOdemVEMVZQBF",
"createdAt": "2021-02-01T13:21:30.0Z",
"name": "Gigs"
},
"payments": {
"currency": "USD",
"mode": "live"
},
"subscriptionOwner": "user",
"support": {
"email": "support@gigs.com",
"phoneNumber": "+12345678900"
},
"tax": {
"country": "US"
},
"type": "live"
}
Returns a list of projects. The projects returned are sorted by creation date, with the most recently created projects appearing first.
The unique identifier for the organization to be filtered by.
"org_0SNlurA04kOdemVEMVZQBF"A cursor for use in pagination. The after parameter takes an object ID that defines the position in the list, only items immediately following the item with that ID will be returned.
A cursor for use in pagination. The before parameter takes an object ID that defines the position in the list, only items immediately preceding the item with that ID will be returned.
The limit of items to be returned in the list, between 0 and 200.
2010>= 0<= 200Returns a dictionary with an items property that contains an array of projects.
Type of object is always list.
list project.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "list",
"items": [
{
"object": "project",
"id": "gigs",
"billing": {
"advanceInvoicingDays": 7,
"invoiceGracePeriodDays": 3,
"invoiceOverdueDays": 3,
"invoiceOverduePeriodDays": 1,
"invoiceOverdueAction": "end",
"currency": "USD",
"restrictBehavior": null,
"restoreBehavior": null,
"paymentBehavior": "manual",
"taxBehavior": "exclusive",
"recoveryFeePercentage": 10,
"recoveryFeeAmount": {
"amount": 150,
"currency": "USD"
}
},
"consent": {
"deliveryMethods": [
"emailLink"
]
},
"createdAt": "2021-01-21T19:32:13Z",
"image": "https://a.gigscdn.net/p/gigs/icon.png",
"legal": {
"name": "Gigs Inc.",
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"locales": [
"en-US"
],
"name": "Gigs Connect",
"organization": {
"object": "organization",
"id": "org_0SNlurA04kOdemVEMVZQBF",
"createdAt": "2021-02-01T13:21:30Z",
"name": "Gigs"
},
"payments": {
"currency": "USD",
"mode": "live"
},
"subscriptionOwner": "user",
"support": {
"email": "support@gigs.com",
"phoneNumber": "+12345678900"
},
"tax": {
"country": "US"
},
"type": "live"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Retrieves the details of an existing project accessible by the API client.
Returns the project object if it exists.
Type of object is always project.
project Globally unique identifier for the project.
"gigs"List of available delivery methods for consent requests.
Time when the project was created.
"2021-01-21T19:32:13Z"Small-resolution project icon with an aspect ratio of 1:1.
"https://a.gigscdn.net/p/gigs/icon.png"List of supported locales represented as IETF language tags, ordered by preference.
["en-US"]A human-readable name for the project.
"Gigs Connect"Three-letter ISO 4217 currency code representing the currency of the project. Must be a supported currency.
"USD"This property is deprecated and will be removed in the future.
Use the root-level field type instead.
The mode in which the payments operate.
live test Indicates which entity will be registered as the owner of the subscription with the providers. When company is selected the legal address associated with the project will be used for the registration.
user company A publicly available email address for consumer support requests regarding the project.
"support@gigs.com"A publicly available phone number in E.164 format for consumer support requests regarding the project.
"+12345678900"The ISO 3166-1 alpha-2 country code for tax purposes. This will be used as the fallback country for tax calculations when a more specific country cannot be determined (e.g. user address).
"US"Indicates whether this is a live or test project. In live projects, subscriptions are invoiced to your organization, and any payments and taxes are real. The type cannot be changed after project creation.
"live"live test curl https://api.gigs.com/projects/${GIGS_PROJECT} \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "project",
"id": "gigs",
"billing": {
"advanceInvoicingDays": 7,
"invoiceGracePeriodDays": 3,
"invoiceOverdueDays": 3,
"invoiceOverduePeriodDays": 1,
"invoiceOverdueAction": "end",
"currency": "USD",
"restrictBehavior": null,
"restoreBehavior": null,
"paymentBehavior": "manual",
"taxBehavior": "exclusive",
"recoveryFeePercentage": 10,
"recoveryFeeAmount": {
"amount": 150,
"currency": "USD"
}
},
"consent": {
"deliveryMethods": [
"emailLink"
]
},
"createdAt": "2021-01-21T19:32:13Z",
"image": "https://a.gigscdn.net/p/gigs/icon.png",
"legal": {
"name": "Gigs Inc.",
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"locales": [
"en-US"
],
"name": "Gigs Connect",
"organization": {
"object": "organization",
"id": "org_0SNlurA04kOdemVEMVZQBF",
"createdAt": "2021-02-01T13:21:30Z",
"name": "Gigs"
},
"payments": {
"currency": "USD",
"mode": "live"
},
"subscriptionOwner": "user",
"support": {
"email": "support@gigs.com",
"phoneNumber": "+12345678900"
},
"tax": {
"country": "US"
},
"type": "live"
}
Retrieve the credentials of an existing project.
This endpoint is currently in preview and might change in the future.
We’re excited to hear your feedback and ideas. Please send an email to support@gigs.com to share your thoughts.
Returns the project credentials.
Type of object is always projectCredentials.
projectCredentials Publishable API key for payment integration.
"pk_test_XXooYYauvdEDq12NiTphI7sa"curl https://api.gigs.com/projects/${GIGS_PROJECT}/credentials \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "projectCredentials",
"paymentsKey": "pk_test_XXooYYauvdEDq12NiTphI7sa"
}